Bug 330108 - losing mail when copy/move it between IMAP accounts
Summary: losing mail when copy/move it between IMAP accounts
Status: RESOLVED UNMAINTAINED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: IMAP resource (show other bugs)
Version: 4.12
Platform: OpenSUSE Linux
: NOR critical (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-18 01:09 UTC by torte
Modified: 2017-01-07 22:06 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description torte 2014-01-18 01:09:42 UTC
When I try to move or copy (easier for testing) a mail from one IMAP account to another the mail is lost or kmail is no longer able to open it.

Reproducible: Always

Steps to Reproduce:
1. Choose a mail in an IMAP folder and copy it to another IMAP account.
Actual Results:  
An error message "unknown systemflag" pops up. The new message is displayed but when I try to open it, it disapears (mostly) or the message is not readable. Using a web login does not show a message at any step of the process.

Expected Results:  
The message is displayed corret in the second IMAP folder as well.

I am using kde 4.12.1.
This happens only using some providers for example gmx/web.
Copying a draft from local folder works in all cases. Copying a mail from IMAP to local folder works, but copying to the second IMAP account also fails.
(I am not really sure this is related to kmail, maybe akonadi?)
Comment 1 torte 2014-01-18 08:23:08 UTC
An error message in observed in KDE 4.11.5 as well, but the mail is not lost.
In addition  the "unreadable" mails are not shown in this version
Comment 2 Denis Kurz 2016-09-24 20:38:44 UTC
This bug has only been reported for versions older than KDEPIM 4.14 (at most akonadi-1.3). Can anyone tell if this bug still present?

If noone confirms this bug for a recent version of akonadi (part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 3 Denis Kurz 2017-01-07 22:06:13 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.